Page MenuHomePhabricator

[LLVM][IR] Resolve Verifier FIXME: remove if (V->isArtificial()) check
AcceptedPublic

Authored by gAlfonso-bit on Sep 25 2021, 6:01 AM.

Details

Summary

The FIXME is no longer relevant, so let's remove it.

Diff Detail

Unit TestsFailed

TimeTest
60 msx64 debian > LLVM.Bindings/Go::go.test
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/llvm-go go=/usr/bin/go test llvm.org/llvm/bindings/go/llvm

Event Timeline

gAlfonso-bit created this revision.Sep 25 2021, 6:01 AM
gAlfonso-bit requested review of this revision.Sep 25 2021, 6:01 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 25 2021, 6:01 AM
gAlfonso-bit edited reviewers, added: hiraditya; removed: jdoerfert.Sep 25 2021, 6:03 AM

This undos commit ba6ec4b70bc49bf8b65b59f64b43df4df3fe786e, which was done in 2015, and a temporary measure. This behavior from clang has changed since then, especially when dealing with GDB.

Do you have an idea what changes in clang make this obsolete ?

dexonsmith resigned from this revision.Sep 27 2021, 9:57 AM
dexonsmith added a reviewer: aprantl.
aprantl accepted this revision.Sep 28 2021, 11:43 AM
This revision is now accepted and ready to land.Sep 28 2021, 11:43 AM

I do not have commit access. Could someone please land this for me?

xgupta added a subscriber: xgupta.Oct 2 2021, 8:27 PM

Do you have an idea what changes in clang make this obsolete ?

@gAlfonso-bit can you address this comment before the patch gets committed?

gAlfonso-bit added a comment.EditedNov 12 2021, 9:28 AM

Yes, the big one being that we don't use GDB and use LLDB instead. @xgupta

Yes, the big one being that we don't use GDB and use LLDB instead. @xgupta

I was more interested in knowing what change in clang related to producing artificial debug info (isArtificial) makes this valid now. If there was no such change, then the assertions in verifyFragmentExpression might trigger (Or this code should not have been there).

hiraditya resigned from this revision.Jul 28 2022, 5:56 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 28 2022, 5:56 PM